=== debian/changelog ===
ros-dashing-libcurl-vendor (2.1.3-1bionic) bionic; urgency=high

  * Ignore broken curl-config.cmake. (#49 <https://github.com/ros/resource_retriever/issues/49>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jul 2020 04:00:00 -0000

ros-dashing-libcurl-vendor (2.1.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 05 Dec 2019 05:00:00 -0000

ros-dashing-libcurl-vendor (2.1.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-dashing-libcurl-vendor (2.1.0-1bionic) bionic; urgency=high

  * depend on curl (mapping to curl, libcurl4-openssl-dev) for packaging (#25 <https://github.com/ros/resource_retriever/issues/25>)
  * add missing dependency on pkg-config (#19 <https://github.com/ros/resource_retriever/issues/19>)
  * [libcurl_vendor] convert to ament and setup env hooks for library paths (#14 <https://github.com/ros/resource_retriever/issues/14>)
  * Contributors: Dirk Thomas, Mikael Arguedas, William Woodall

 -- William Woodall <william@osrfoundation.org>  Thu, 21 Jun 2018 04:00:00 -0000

ros-dashing-libcurl-vendor (2.0.0-1bionic) bionic; urgency=high

  * disable docs and tests for libcurl to avoid needing perl
  * fix libcurl vendor package on Windows and warnings
  * add temporary libcurl_vendor and use it to get curl
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Fri, 08 Dec 2017 05:00:00 -0000

ros-dashing-libcurl-vendor (1.12.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 27 Mar 2017 04:00:00 -0000

ros-dashing-libcurl-vendor (1.12.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 18:16:00 -0000

ros-dashing-libcurl-vendor (1.12.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Fri, 10 Jun 2016 14:28:00 -0000

ros-dashing-libcurl-vendor (1.12.0-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 23 Mar 2016 04:00:00 -0000

ros-dashing-libcurl-vendor (1.11.6-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Sun, 30 Nov 2014 05:00:00 -0000
